Skip to navigation

Create brand profiles

View as Markdown

Creates one or more brand profile files for the account. The Account Branding feature (accountSettings properties canSelfBrandSend and canSelfBrandSig) must be set to true for the account to use this call.

An error is returned if brandId property for a brand profile is already set for the account. To upload a new version of an existing brand profile, you must delete the profile and then upload the newer version.

When brand profile files are being uploaded, they must be combined into one zip file and the Content-Type must be application/zip.

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

Request

This endpoint expects an object: brand

brandCompanystringOptional
The name of the company associated with this brand.
brandIdstringOptional
The ID used to identify a specific brand in API calls.
brandNamestringOptional
The name of the brand.
colorslist of objectsOptional
emailContentlist of objectsOptional
errorDetailsobjectOptional
This object describes errors that occur. It is only valid for responses, and ignored in requests.
isOverridingCompanyNamestringOptional
isSendingDefaultstringOptional
isSigningDefaultstringOptional
landingPageslist of objectsOptional
logosobjectOptional
resourcesobjectOptional

Response

Successful response.
brandslist of objectsOptional
The list of brands.
recipientBrandIdDefaultstringOptional
The brand seen by envelope recipients when a brand is not explicitly set.
senderBrandIdDefaultstringOptional
The brand seen by envelope senders when a brand is not explicitly set.

Errors

400
Bad Request Error